> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# अवलोकन

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

<div id="comparing-x-apis-follows-endpoints">
  ## X API के follows एंडपॉइंट्स की तुलना
</div>

<div id="follows-lookup">
  ### फ़ॉलो लुकअप
</div>

v2 फ़ॉलो लुकअप एंडपॉइंट्स standard v1.1 [followers/ids](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/get-followers-ids), v1.1 [followers/list](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/get-followers-list), v1.1 [friends/ids](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/get-friends-ids), और v1.1 [friends/list](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/get-friends-list) एंडपॉइंट्स का स्थान लेंगे।

निम्न तालिकाएँ फ़ॉलो लुकअप एंडपॉइंट्स के विभिन्न प्रकारों की तुलना करती हैं:

|                                                                                                                                                                        |                                                                                                                                                                                                 |                                                                                                                                                                                                                                                                                                                                                                            |
| :--------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **विवरण**                                                                                                                                                              | **Standard v1.1**                                                                                                                                                                               | **X API v2**                                                                                                                                                                                                                                                                                                                                                               |
| समर्थित HTTP मेथड                                                                                                                                                      | `GET`                                                                                                                                                                                           | `GET`                                                                                                                                                                                                                                                                                                                                                                      |
| होस्ट डोमेन                                                                                                                                                            | `https://api.x.com`                                                                                                                                                                             | `https://api.x.com`                                                                                                                                                                                                                                                                                                                                                        |
| एंडपॉइंट पाथ                                                                                                                                                           | /1.1/friends/ids.json<br /><br />/1.1/friends/list.json<br /><br />/1.1/followers/ids.json<br /><br />/1.1/followers/list.json                                                                  | /2/users/:id/following<br /><br />/2/users/:id/followers                                                                                                                                                                                                                                                                                                                   |
| [प्रमाणीकरण](/hi/resources/fundamentals/authentication)                                                                                                                | OAuth 1.0a User Context<br /><br />केवल ऐप                                                                                                                                                      | OAuth 1.0a User Context<br /><br />PKCE के साथ OAuth 2.0 Authorization Code<br /><br />केवल ऐप                                                                                                                                                                                                                                                                             |
| डिफ़ॉल्ट अनुरोध [रेट लिमिट्स](/hi/resources/fundamentals/rate-limits)                                                                                                  | 15 मिनट में 15 अनुरोध (प्रति उपयोगकर्ता)<br /><br />15 मिनट में 15 अनुरोध (प्रति ऐप)                                                                                                            | 15 मिनट में 15 अनुरोध (प्रति उपयोगकर्ता)<br /><br />15 मिनट में 15 अनुरोध (प्रति ऐप)                                                                                                                                                                                                                                                                                       |
| प्रति रिस्पॉन्स अधिकतम उपयोगकर्ता                                                                                                                                      | GET friends/id & GET followers/id प्रति पेज अधिकतम 5000 उपयोगकर्ता IDs लौटाते हैं।<br /><br />  <br /><br />GET friends/list & GET followers/list प्रति पेज अधिकतम 200 user objects लौटाते हैं। | प्रति पेज 1000 user objects                                                                                                                                                                                                                                                                                                                                                |
| पेजिनेशन                                                                                                                                                               | टोकन `next_cursor` फ़ील्ड में लौटाया जाता है, जिसे फिर परिणामों का अगला पेज लौटाने के लिए `cursor` पैरामीटर के मान के रूप में पास किया जा सकता है।                                              | टोकन `next_token` फ़ील्ड में लौटाया जाता है, जिसे फिर परिणामों का अगला पेज लौटाने के लिए `token` पैरामीटर के मान के रूप में पास किया जा सकता है।<br /><br />v2 payload एक `previous_token` फ़ील्ड भी देता है, जिसे परिणामों का पिछला पेज लौटाने के लिए `pagination_token` पैरामीटर के साथ भी पास किया जा सकता है।                                                          |
| JSON प्रारूप                                                                                                                                                           | Standard v1.1 प्रारूप                                                                                                                                                                           | [X API v2 प्रारूप](/hi/x-api/fundamentals/data-dictionary) (`fields` और `expansions` request parameters द्वारा निर्धारित, v1.1 प्रारूपों के साथ backward-compatible नहीं)<br /><br />Standard v1.1 प्रारूप से X API v2 प्रारूप में माइग्रेट करने के बारे में अधिक जानने के लिए, कृपया हमारी [data formats migration guide](/hi/x-api/migrate/data-format-migration) देखें। |
| payload में कौन-से [फ़ील्ड्स](/hi/x-api/fundamentals/data-dictionary) लौटें, यह चुनने का समर्थन करता है                                                                |                                                                                                                                                                                                 | ✔                                                                                                                                                                                                                                                                                                                                                                          |
| Post [annotations](/hi/x-api/fundamentals/post-annotations) फ़ील्ड्स का समर्थन करता है                                                                                 |                                                                                                                                                                                                 | ✔                                                                                                                                                                                                                                                                                                                                                                          |
| नए [metrics](/hi/x-api/fundamentals/metrics) फ़ील्ड्स का अनुरोध करने का समर्थन करता है                                                                                 |                                                                                                                                                                                                 | ✔                                                                                                                                                                                                                                                                                                                                                                          |
| [conversation\_id](/hi/x-api/fundamentals/conversation-id) फ़ील्ड का समर्थन करता है                                                                                    |                                                                                                                                                                                                 | ✔                                                                                                                                                                                                                                                                                                                                                                          |
| [project](/hi/resources/fundamentals/developer-apps) से संबद्ध [developer ऐप](/hi/resources/fundamentals/developer-apps) के क्रेडेंशियल्स के उपयोग की आवश्यकता होती है |                                                                                                                                                                                                 | ✔                                                                                                                                                                                                                                                                                                                                                                          |

<div id="manage-follows">
  #### फ़ॉलो प्रबंधित करें
</div>

v2 के फ़ॉलो प्रबंधन endpoint, मानक v1.1 [POST friendships/create](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/post-friendships-create) और [POST friendships/destroy](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/post-friendships-destroy) endpoint की जगह लेंगे।

निम्न तालिकाएँ मानक v1.1 और X API v2 के create follow endpoint की तुलना करती हैं:

<div id="follow-a-user">
  #### किसी उपयोगकर्ता को फ़ॉलो करें
</div>

| विवरण                                                                                                                                                                        | Standard v1.1                          | X API v2                                                                  |
| :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------- | :------------------------------------------------------------------------ |
| समर्थित HTTP मेथड                                                                                                                                                            | POST                                   | POST                                                                      |
| होस्ट डोमेन                                                                                                                                                                  | [https://api.x.com](https://api.x.com) | [https://api.x.com](https://api.x.com)                                    |
| एंडपॉइंट पाथ                                                                                                                                                                 | /1.1/friendships/create.json           | /2/users/:id/following                                                    |
| [प्रमाणीकरण](/hi/resources/fundamentals/authentication)                                                                                                                      | OAuth 1.0a User Context                | OAuth 1.0a User Context<br /><br />OAuth 2.0 Authorization Code with PKCE |
| डिफ़ॉल्ट अनुरोध [रेट लिमिट्स](/hi/resources/fundamentals/rate-limits)                                                                                                        | हर 15 मिनट में 50 अनुरोध               | हर 15 मिनट में 50 अनुरोध                                                  |
| प्रति उपयोगकर्ता अधिकतम दैनिक ऑपरेशन                                                                                                                                         | 400                                    | 400                                                                       |
| प्रति ऐप अधिकतम दैनिक ऑपरेशन                                                                                                                                                 | 1000                                   | 1000                                                                      |
| किसी [डेवलपर ऐप](/hi/resources/fundamentals/developer-apps) के क्रेडेंशियल्स का उपयोग आवश्यक है, जो किसी [प्रोजेक्ट](/hi/resources/fundamentals/developer-apps) से संबद्ध हो |                                        | ✔️                                                                        |

<div id="unfollow-a-user">
  #### किसी उपयोगकर्ता को अनफ़ॉलो करें
</div>

निम्न तालिकाएँ Standard v1.1 और X API v2 के delete follow endpoints की तुलना करती हैं:

| विवरण                                                                                                                                                                       | Standard v1.1                              | X API v2                                                                  |
| :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :----------------------------------------- | :------------------------------------------------------------------------ |
| समर्थित HTTP मेथड                                                                                                                                                           | POST                                       | DELETE                                                                    |
| होस्ट डोमेन                                                                                                                                                                 | [https://api.x.com](https://api.x.com)     | [https://api.x.com](https://api.x.com)                                    |
| एंडपॉइंट पाथ                                                                                                                                                                | /1.1/friendships/destroy.json              | /2/users/:source\_user\_id/following/:target\_user\_id                    |
| [प्रमाणीकरण](/hi/resources/fundamentals/authentication)                                                                                                                     | OAuth 1.0a User Context                    | OAuth 1.0a User Context<br /><br />OAuth 2.0 Authorization Code with PKCE |
| डिफ़ॉल्ट अनुरोध [रेट लिमिट्स](/hi/resources/fundamentals/rate-limits)                                                                                                       | 15 अनुरोध प्रति 15 मिनट (प्रति उपयोगकर्ता) | 50 अनुरोध प्रति 15 मिनट (प्रति उपयोगकर्ता)                                |
| प्रति ऐप अधिकतम दैनिक ऑपरेशन                                                                                                                                                | कोई नहीं                                   | 500                                                                       |
| ऐसे [डेवलपर ऐप](/hi/resources/fundamentals/developer-apps) के क्रेडेंशियल्स का उपयोग आवश्यक है, जो किसी [प्रोजेक्ट](/hi/resources/fundamentals/developer-apps) से संबद्ध हो |                                            | ✔️                                                                        |

**अन्य माइग्रेशन संसाधन**

[फ़ॉलो लुकअप: Standard v1.1 से X API v2](/hi/x-api/users/follows/migrate/standard-to-twitter-api-v2)

[फ़ॉलो प्रबंधित करें: Standard v1.1 से X API v2](/hi/x-api/users/follows#manage-follows-standard-v1-1-compared-to-x-api-v2)

[X API माइग्रेशन हब](/hi/x-api/migrate/overview)
